org.apache.ignite.events

## Class TransactionStateChangedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.TransactionStateChangedEvent

- All Implemented Interfaces:
    Serializable, Comparable<Event>, Event

      public class TransactionStateChangedEvent
      extends EventAdapter

  Event indicates transaction state change.
  See Also:
    `EventType.EVTS_TX`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionStateChangedEvent(ClusterNode node, String msg, int type, Transaction tx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transaction` | `tx()` Provides transaction proxy allows all 'get' operations such as `Transaction.label()` and also `Transaction.setRollbackOnly()` method.

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionStateChangedEvent

          public TransactionStateChangedEvent(ClusterNode node,
                                              String msg,
                                              int type,
                                              Transaction tx)

      Parameters:
        `node` - Node.
        `msg` - Message.
        `type` - Type.
        `tx` - Tx.

  - ### Method Detail

    - #### tx

          public Transaction tx()

      Provides transaction proxy allows all 'get' operations such as `Transaction.label()` and also `Transaction.setRollbackOnly()` method.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021